summaryrefslogtreecommitdiff
path: root/ecp/build.sh
diff options
context:
space:
mode:
authorUros Majstorovic <majstor@majstor.org>2021-08-31 22:20:15 +0200
committerUros Majstorovic <majstor@majstor.org>2021-08-31 22:20:15 +0200
commit2a33ef2344145e12f1eea96214cdb317857321c1 (patch)
tree1db9ce4e9c227c54595132edbce8adc65dd086ce /ecp/build.sh
parent2a46bdf517eb5fcb8ba59c398a32859c6496475d (diff)
directory service added
Diffstat (limited to 'ecp/build.sh')
-rwxr-xr-xecp/build.sh26
1 files changed, 21 insertions, 5 deletions
diff --git a/ecp/build.sh b/ecp/build.sh
index 0b205dd..7669db1 100755
--- a/ecp/build.sh
+++ b/ecp/build.sh
@@ -1,8 +1,24 @@
#!/bin/sh
-subdirs="src util test"
-
-for i in $subdirs; do
- (cd $i && make $1 && cd ..) || exit;
-done
+if [ -z $1 ]; then
+ ARG="all"
+else
+ ARG=$1
+fi
+cd src
+make clean
+if [ $ARG == "all" ]; then
+ make || exit
+ make install
+fi
+cd ../util
+make clean
+if [ $ARG == "all" ]; then
+ make || exit
+fi
+cd ../test
+make clean
+if [ $ARG == "all" ]; then
+ make
+fi